website/categories/urls.py
from django.urls import path
from django.contrib.auth.decorators import login_required

# include views for rendering the output
from .views import edCategoryListView
from .views import edCategoryCreateView
from .views import edCategoryUpdateView
from .views import edCategoryDeleteView

app_name = 'categories'

urlpatterns = [
    path('category/', login_required(edCategoryListView.as_view()), name='view'),
    path('category/new/', login_required(edCategoryCreateView.as_view()), name='new'),
    path('category/<int:pk>', login_required(edCategoryUpdateView.as_view()), name='edit'),
    path('category/<int:pk>/delete/', login_required(edCategoryDeleteView.as_view()), name='delete'),
]

website/main/urls.py
from django.conf.urls import include, url
from django.contrib import admin

from django.contrib.staticfiles.urls import staticfiles_urlpatterns

from django.conf import settings
from django.conf.urls.static import static

#for favicon URL
from django.contrib.staticfiles.storage import staticfiles_storage
from django.views.generic.base import RedirectView

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url('', include('searching.urls')),
    url('', include('users.urls')),
    url(r'^accounts/', include('shops.urls')), #shops are available only under account
    url(r'^accounts/', include('shopsortiment.urls')), #shops sortiment is available only under account
    url(r'^accounts/', include('sortiment.urls')), #sortiment is available only under account
    url(r'^accounts/', include('categories.urls')), #categories are available only under account
    #url(r'^search/', include('haystack.urls')),
    url(
        r'^favicon.ico$',
        RedirectView.as_view(
            url=staticfiles_storage.url('favicon.ico'),
            permanent=False),
        name="favicon"
    ),
]

urlpatterns += staticfiles_urlpatterns()

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

website/shops/urls.py
from django.urls import path
from django.contrib.auth.decorators import login_required

# include shops views for rendering the output
from .views import edShopListView
from .views import edShopCreateView
from .views import edShopUpdateView
from .views import edShopDeleteView

app_name = 'shops'

urlpatterns = [
    path('shop/', login_required(edShopListView.as_view()), name='view'),
    path('shop/new/', login_required(edShopCreateView.as_view()), name='new'),
    path('shop/<int:pk>', login_required(edShopUpdateView.as_view()), name='edit'),
    path('shop/<int:pk>/delete/', login_required(edShopDeleteView.as_view()), name='delete'),
]

website/sortiment/urls.py
from django.urls import path
from django.contrib.auth.decorators import login_required

# include views for rendering the output
from .views import edSortimentListView
from .views import edSortimentCreateView
from .views import edSortimentUpdateView
from .views import edSortimentDeleteView

app_name = 'sortiment'

urlpatterns = [
    path('sortiment/', login_required(edSortimentListView.as_view()), name='view'),
    path('sortiment/new/', login_required(edSortimentCreateView.as_view()), name='new'),
    path('sortiment/<int:pk>', login_required(edSortimentUpdateView.as_view()), name='edit'),
    path('sortiment/<int:pk>/delete/', login_required(edSortimentDeleteView.as_view()), name='delete'),
]

website/users/urls.py
from django.conf.urls import url, include

from django.conf import settings
from django.contrib.staticfiles import views
from django.conf.urls.static import static

from django.contrib import admin
from django.urls import path, include
from django.contrib.auth import views as auth_views

from django.views.generic import TemplateView
from django.contrib.auth.decorators import login_required

app_name = 'users'

urlpatterns = [
    url(r'^users/login/$', auth_views.login, {'template_name': 'users/login.html'}, name='login'),
    url(r'^users/logout/$', auth_views.logout, {'next_page': '/'}, name='logout'),
    url(r'^users/profile/$', login_required(TemplateView.as_view(template_name='users/profile.html')), name='profile'),
    url(r'^users/shopsortiment/$', login_required(TemplateView.as_view(template_name='users/sortiment.html')), name='shopsortiment'),
    url(r'^users/sale/$', login_required(TemplateView.as_view(template_name='users/sale.html')), name='sale'),
    path('users/', include('django.contrib.auth.urls')), #add standard urls for authentication
    # ...
]

website/templates/main/base.html
{% load static %}
{% static "searching/logo.png" as logo %}
{% static "searching/favicon.ico" as favicon %}
{% static "searching/landing_top.jpg" as landing_top %}

 
<html lang="en"> 
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" name="viewport" />

        <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />

        <!--     Fonts and icons     -->
        <link rel="stylesheet" type="text/css" href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700|Roboto+Slab:400,700|Material+Icons" />
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/latest/css/font-awesome.min.css" />
        <!-- Material Kit CSS -->
        <link rel="stylesheet" href="/static/searching/assets/css/material-kit.css?v=2.0.3">

        <title>easyDrinks</title>
        
        <link rel="shortcut icon" type="image/png" href="{{ favicon }}"/>
        <link href='//fonts.googleapis.com/css?family=Lobster&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
        <!--font-family: 'Megrim', cursive;-->
        <link href="https://fonts.googleapis.com/css?family=Megrim" rel="stylesheet">
        <!--font-family: 'Comfortaa', cursive;-->
        <link href="https://fonts.googleapis.com/css?family=Comfortaa:400,700" rel="stylesheet">
        <!--font-family: 'Patua One', cursive;-->
        <link href="https://fonts.googleapis.com/css?family=Patua+One" rel="stylesheet">
        <!--font-family: 'Pirata One', cursive;-->
        <link href="https://fonts.googleapis.com/css?family=Pirata+One" rel="stylesheet">
        <!--font-family: 'Buda', cursive;-->
        <link href="https://fonts.googleapis.com/css?family=Buda:300" rel="stylesheet">
        <!--font-family: 'Lancelot', cursive;-->
        <link href="https://fonts.googleapis.com/css?family=Lancelot" rel="stylesheet">
        <!--font-family: 'Macondo', cursive;-->
        <link href="https://fonts.googleapis.com/css?family=Macondo" rel="stylesheet">
        <!--font-family: 'Libre Barcode 128 Text', cursive;-->
        <link href="https://fonts.googleapis.com/css?family=Libre+Barcode+128+Text" rel="stylesheet">

    </head>
    <body class="landing-page sidebar-collapse">
        <nav class="navbar navbar-color-on-scroll navbar-transparent    fixed-top  navbar-expand-lg " color-on-scroll="100" id="sectionsNav">
            <div class="container">
                <div class="navbar-translate">
                    <a class="navbar-brand" href="#" style="font-family: 'Comfortaa', cursive; font-size: 1.7rem">
                        easyDrinks  </a>
                    <button class="navbar-toggler" type="button" data-toggle="collapse" aria-expanded="false" aria-label="Toggle navigation">
                            <span class="sr-only">Toggle navigation</span>
                            <span class="navbar-toggler-icon"></span>
                            <span class="navbar-toggler-icon"></span>
                            <span class="navbar-toggler-icon"></span>
                    </button>
                </div>
            <!--
                <form class="form-inline">
                    <div class="form-group has-rose">
                        <input type="text" class="form-control" placeholder="Search Products">
                    </div>
                    <button type="submit" class="btn btn-rose btn-raised btn-fab btn-fab-mini btn-round">
                        <i class="material-icons">search</i>
                    </button>
                </form>       
            -->       
                <div class="collapse navbar-collapse">
                <ul class="navbar-nav ml-auto">
                    <li class="nav-item {% if request.resolver_match.app_name == 'shops' %}active{% endif %}">
                        <a class="nav-link" href="{% url 'shops:view' %}"><i class="material-icons">store</i> 
                            Veikali
                        </a>
                    </li>
                    <li class="nav-item {% if request.resolver_match.app_name == 'sortiment' %}active{% endif %}">
                        <a class="nav-link" href="{% url 'sortiment:view' %}"><i class="material-icons">list_alt</i> 
                            Pamatsortiments
                        </a>
                    </li>
                    <li class="nav-item {% if request.resolver_match.app_name == 'categories' %}active{% endif %}">
                        <a class="nav-link" href="{% url 'categories:view' %}"><i class="material-icons">all_inbox</i> 
                            Kategorijas
                        </a>
                    </li>
                    <li class="nav-item {% if request.resolver_match.app_name == 'shopsortiment' %}active{% endif %}">
                        <a class="nav-link" href="{% url 'shopsortiment:view' %}"><i class="material-icons">list_alt</i> 
                            Sortiments
                        </a>
                    </li>
                    <li class="nav-item {% if request.resolver_match.app_name == 'sale' %}active{% endif %}">
                        <a class="nav-link" href="{% url 'users:sale' %}"><i class="material-icons">local_offer</i> 
                            Akcijas
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="btn btn-rose btn-round btn-block" href="{% url 'users:logout' %}"><i class="material-icons">close</i> 
                            Izlogoties
                        </a>
                    </li>
                </ul>
                </div>
            </div>
        </nav>
        
        <div class="subscribe-line subscribe-line-image pt-4 pb-5" data-parallax="true" style="background-image: url('{{ landing_top }}');">
                &nbsp;
        </div>
        {% block content %}{% endblock %}   


            

        <!--footer-->
        <footer class="footer">
            <div class="container">
                <nav class="float-left">
                    <ul>
                        <li>
                            <a href="http://presentation.creative-tim.com">
                                Par mums
                            </a>
                        </li> 
                        <!--
                        <li>
                            <a href="http://blog.creative-tim.com">
                                Events
                            </a>
                        </li>
                        -->
                    </ul>
                </nav>
                <div class="copyright float-right">
                    © <script>document.write(new Date().getFullYear())</script> izveidoja easyDrinks.
                </div>
            </div>
        </footer>
<!-- Login form -->
        <div class="modal fade" id="loginModal" tabindex="-1" role="dialog" style="display: none;" aria-hidden="true">
            <div class="modal-dialog modal-login" role="document">
                <div class="modal-content">
                    <div class="card card-signup card-plain">
                        <div class="modal-header">
                            <div class="card-header card-header-info text-center">
                                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                                    <i class="material-icons">clear</i>
                                </button>
                                <h4 class="card-title">Ielogties</h4>
                            </div>
                        </div>
                        <form class="form" method="POST" action="{% url 'users:login' %}">
                            {% csrf_token %}
                            <div class="modal-body">
                                <div class="card-body">
                                    <div class="form-group bmd-form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text">
                                                    <i class="material-icons">person</i>
                                                </span>
                                            </div>
                                            <input type="text" class="form-control" name="email" placeholder="Lietotājs...">
                                        </div>
                                    </div>
                                    <div class="form-group bmd-form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text">
                                                    <i class="material-icons">lock_outline</i>
                                                </span>
                                            </div>
                                            <input type="password" class="form-control" name="password" placeholder="Parole...">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="modal-footer justify-content-center">
                                <button type="submit" class="btn btn-primary btn-link btn-wd btn-lg">Ienākt</button>
                            </div>
                            <div class="modal-footer justify-content-center">
                                <a href="#" data-toggle="modal" data-target="#forgotModal" class="btn btn-primary btn-link btn-wd btn-lg">Atgādināt paroli</a>
                            </div>
                            <input type="hidden" name="next" value="{{ next }}" />
                        </form>
                    </div>
                </div>
            </div>
        </div>

        <!--   Core JS Files   -->
        <script src="/static/searching/assets/js/core/jquery.min.js"></script>
        <script src="/static/searching/assets/js/core/popper.min.js"></script>
        <script src="/static/searching/assets/js/core/bootstrap-material-design.min.js"></script>

        <!-- Plugin for Date Time Picker and Full Calendar Plugin-->
        <script src="/static/searching/assets/js/plugins/moment.min.js"></script>

        <!-- Plugin for Select, full documentation here: http://silviomoreto.github.io/bootstrap-select -->
        <script src="/static/searching/assets/js/plugins/bootstrap-selectpicker.js"></script>

        <!-- Plugin for Tags, full documentation here: http://xoxco.com/projects/code/tagsinput/  -->
        <script src="/static/searching/assets/js/plugins/bootstrap-tagsinput.js"></script>

        <!-- Plugin for Fileupload, full documentation here: http://www.jasny.net/bootstrap/javascript/#fileinput -->
        <script src="/static/searching/assets/js/plugins/jasny-bootstrap.min.js"></script>

        <!-- Plugin for Small Gallery in Product Page -->
        <script src="/static/searching/assets/js/plugins/jquery.flexisel.js"></script>

        <!-- Plugin for the Datepicker, full documentation here: https://github.com/Eonasdan/bootstrap-datetimepicker -->
        <script src="/static/searching/assets/js/plugins/bootstrap-datetimepicker.js"></script>

        <!-- Plugin for the Sliders, full documentation here: http://refreshless.com/nouislider/ -->
        <script src="/static/searching/assets/js/plugins/nouislider.min.js"></script>

        <!-- Material Kit Core initialisations of plugins and Bootstrap Material Design Library -->
        <script src="/static/searching/assets/js/material-kit.js?v=2.0.3"></script>
    </body>
</html>

website/templates/main/base_editform.html
{% load static %}
{% static "searching/logo.png" as logo %}
{% static "searching/favicon.ico" as favicon %}
{% static "searching/landing_top.jpg" as landing_top %}

 
<html lang="en"> 
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" name="viewport" />

        <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />

        <!--     Fonts and icons     -->
        <link rel="stylesheet" type="text/css" href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700|Roboto+Slab:400,700|Material+Icons" />
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/latest/css/font-awesome.min.css" />
        <!-- Material Kit CSS -->
        <link rel="stylesheet" href="/static/searching/assets/css/material-kit.css?v=2.0.3">

        <title>easyDrinks</title>
        
        <link rel="shortcut icon" type="image/png" href="{{ favicon }}"/>
        <link href='//fonts.googleapis.com/css?family=Lobster&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
        <!--font-family: 'Megrim', cursive;-->
        <link href="https://fonts.googleapis.com/css?family=Megrim" rel="stylesheet">
        <!--font-family: 'Comfortaa', cursive;-->
        <link href="https://fonts.googleapis.com/css?family=Comfortaa:400,700" rel="stylesheet">
        <!--font-family: 'Patua One', cursive;-->
        <link href="https://fonts.googleapis.com/css?family=Patua+One" rel="stylesheet">
        <!--font-family: 'Pirata One', cursive;-->
        <link href="https://fonts.googleapis.com/css?family=Pirata+One" rel="stylesheet">
        <!--font-family: 'Buda', cursive;-->
        <link href="https://fonts.googleapis.com/css?family=Buda:300" rel="stylesheet">
        <!--font-family: 'Lancelot', cursive;-->
        <link href="https://fonts.googleapis.com/css?family=Lancelot" rel="stylesheet">
        <!--font-family: 'Macondo', cursive;-->
        <link href="https://fonts.googleapis.com/css?family=Macondo" rel="stylesheet">
        <!--font-family: 'Libre Barcode 128 Text', cursive;-->
        <link href="https://fonts.googleapis.com/css?family=Libre+Barcode+128+Text" rel="stylesheet">

    </head>
    <body class="signup-page sidebar-collapse">
        <nav class="navbar navbar-color-on-scroll navbar-transparent    fixed-top  navbar-expand-lg " color-on-scroll="100" id="sectionsNav">
            <div class="container">
                <div class="navbar-translate">
                    <a class="navbar-brand" href="#" style="font-family: 'Comfortaa', cursive; font-size: 1.7rem">
                        easyDrinks  </a>
                    <button class="navbar-toggler" type="button" data-toggle="collapse" aria-expanded="false" aria-label="Toggle navigation">
                            <span class="sr-only">Toggle navigation</span>
                            <span class="navbar-toggler-icon"></span>
                            <span class="navbar-toggler-icon"></span>
                            <span class="navbar-toggler-icon"></span>
                    </button>
                </div>
            <!--
                <form class="form-inline">
                    <div class="form-group has-rose">
                        <input type="text" class="form-control" placeholder="Search Products">
                    </div>
                    <button type="submit" class="btn btn-rose btn-raised btn-fab btn-fab-mini btn-round">
                        <i class="material-icons">search</i>
                    </button>
                </form>       
            -->       
                <div class="collapse navbar-collapse">
                <ul class="navbar-nav ml-auto">
                    <li class="nav-item {% if request.resolver_match.app_name == 'shops' %}active{% endif %}">
                        <a class="nav-link" href="{% url 'shops:view' %}"><i class="material-icons">store</i> 
                            Veikali
                        </a>
                    </li>
                    <li class="nav-item {% if request.resolver_match.app_name == 'sortiment' %}active{% endif %}">
                        <a class="nav-link" href="{% url 'sortiment:view' %}"><i class="material-icons">list_alt</i> 
                            Pamatsortiments
                        </a>
                    </li>
                    <li class="nav-item {% if request.resolver_match.app_name == 'categories' %}active{% endif %}">
                        <a class="nav-link" href="{% url 'categories:view' %}"><i class="material-icons">all_inbox</i> 
                            Kategorijas
                        </a>
                    </li>                    
                    <li class="nav-item {% if request.resolver_match.app_name == 'shopsortiment' %}active{% endif %}">
                        <a class="nav-link" href="{% url 'shopsortiment:view' %}"><i class="material-icons">list_alt</i> 
                            Sortiments
                        </a>
                    </li>
                    <li class="nav-item {% if request.resolver_match.app_name == 'sale' %}active{% endif %}">
                        <a class="nav-link" href="{% url 'users:sale' %}"><i class="material-icons">local_offer</i> 
                            Akcijas
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="btn btn-rose btn-round btn-block" href="{% url 'users:logout' %}"><i class="material-icons">close</i> 
                            Izlogoties
                        </a>
                    </li>
                </ul>
                </div>
            </div>
        </nav>
        {% block content %}{% endblock %}   
        
        <!--footer-->
        <footer class="footer">
            <div class="container">
                <nav class="float-left">
                    <ul>
                        <li>
                            <a href="http://presentation.creative-tim.com">
                                Par mums
                            </a>
                        </li> 
                        <!--
                        <li>
                            <a href="http://blog.creative-tim.com">
                                Events
                            </a>
                        </li>
                        -->
                    </ul>
                </nav>
                <div class="copyright float-right">
                    © <script>document.write(new Date().getFullYear())</script> izveidoja easyDrinks.
                </div>
            </div>
        </footer>

        <!--   Core JS Files   -->
        <script src="/static/searching/assets/js/core/jquery.min.js"></script>
        <script src="/static/searching/assets/js/core/popper.min.js"></script>
        <script src="/static/searching/assets/js/core/bootstrap-material-design.min.js"></script>

        <!-- Plugin for Date Time Picker and Full Calendar Plugin-->
        <script src="/static/searching/assets/js/plugins/moment.min.js"></script>

        <!-- Plugin for Select, full documentation here: http://silviomoreto.github.io/bootstrap-select -->
        <script src="/static/searching/assets/js/plugins/bootstrap-selectpicker.js"></script>

        <!-- Plugin for Tags, full documentation here: http://xoxco.com/projects/code/tagsinput/  -->
        <script src="/static/searching/assets/js/plugins/bootstrap-tagsinput.js"></script>

        <!-- Plugin for Fileupload, full documentation here: http://www.jasny.net/bootstrap/javascript/#fileinput -->
        <script src="/static/searching/assets/js/plugins/jasny-bootstrap.min.js"></script>

        <!-- Plugin for Small Gallery in Product Page -->
        <script src="/static/searching/assets/js/plugins/jquery.flexisel.js"></script>

        <!-- Plugin for the Datepicker, full documentation here: https://github.com/Eonasdan/bootstrap-datetimepicker -->
        <script src="/static/searching/assets/js/plugins/bootstrap-datetimepicker.js"></script>

        <!-- Plugin for the Sliders, full documentation here: http://refreshless.com/nouislider/ -->
        <script src="/static/searching/assets/js/plugins/nouislider.min.js"></script>

        <!-- Material Kit Core initialisations of plugins and Bootstrap Material Design Library -->
        <script src="/static/searching/assets/js/material-kit.js?v=2.0.3"></script>
    </body>
</html>

website/templates/main/edshop_confirm_delete.html
<form action="" method="post">{% csrf_token %}
    <p>Are you sure you want to delete "{{ object }}"?</p>
    <input type="submit" value="Confirm" />
</form>

website/templates/main/form_field.html
{% load widget_tweaks %}
<div class="form-group bmd-form-group">
        {% if field.field.widget.input_type != "file" %}
        {{ field.label_tag }}
        {% endif %}

        {% if form.is_bound %}
            {% if field.errors %}
                {% render_field field class="form-control is-invalid" %}
                {% for error in field.errors %}
                <div class="invalid-feedback">
                    {{ error }}
                </div>
                {% endfor %}
            {% else %}
                {% render_field field class="form-control is-valid" %}
            {% endif %}
        {% else %}
            {% if field.field.widget.input_type == "select" %}
                {% render_field field class="selectpicker col-md-12 px-0" data-style="select-with-transition" %}
            {% elif field.field.widget.input_type == "file" %}
                <div class="fileinput fileinput-{% if form.instance.photo.name == 'products/default.jpg' %}new{% else %}exists{% endif %} text-center" data-provides="fileinput">
                    <div class="fileinput-{% if form.instance.photo.name == 'products/default.jpg' %}new{% else %}exists{% endif %} thumbnail img-raised">
                        <img src="{{ form.instance.photo.url }}" alt="...">
                    </div>
                    <div class="fileinput-preview fileinput-{% if form.instance.photo.name == 'products/default.jpg' %}new{% else %}exists{% endif %} thumbnail img-raised"></div>
                    <div>
                        <span class="btn btn-raised btn-round btn-default btn-file">
                            <span class="fileinput-new">Select image</span>
                            <span class="fileinput-exists">Change</span>
                            <input type="file" name="photo" id="{{form.photo.auto_id}}">
                        </span>
                        <a href="#pablo" class="btn btn-danger btn-round fileinput-exists" data-dismiss="fileinput">
                        <i class="fa fa-times"></i> Remove</a>
                    </div>
                </div>
            {% else %}
                {% render_field field class="form-control" %}
            {% endif %}
        {% endif %}

        {% if field.help_text %}
            <small class="form-text text-muted">{{ field.help_text }}</small>
        {% endif %}
    </div>

website/templates/main/logged_out.htm
{% extends 'searching/base.html' %}

{% block content %}
  <p>Logged out!</p>  
  <a href="{% url 'users:login'%}">Click here to login again.</a>
{% endblock %}

website/templates/main/sale.html
{% extends 'main/base.html' %}

{% block content %}

<h1>Sale</h1>

{% endblock %}